Condition
Date: 2015-12-02

org.w3c.css.sac

## Interface Condition

- All Known Subinterfaces:
    AttributeCondition, CombinatorCondition, ContentCondition, LangCondition, NegativeCondition, PositionalCondition

      public interface Condition

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `SAC_AND_CONDITION` This condition checks exactly two conditions.
    `static short` | `SAC_ATTRIBUTE_CONDITION` This condition checks an attribute.
    `static short` | `SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION` This condition checks if the value is in a hypen-separated list of values in a specified attribute.
    `static short` | `SAC_CLASS_CONDITION` This condition checks for a specified class.
    `static short` | `SAC_CONTENT_CONDITION` This condition checks the content of a node.
    `static short` | `SAC_ID_CONDITION` This condition checks an id attribute.
    `static short` | `SAC_LANG_CONDITION` This condition checks the language of the node.
    `static short` | `SAC_NEGATIVE_CONDITION` This condition checks that a condition can't be applied to a node.
    `static short` | `SAC_ONE_OF_ATTRIBUTE_CONDITION` This condition checks for a value in a space-separated values in a specified attribute example:
           [values~="10"]
    `static short` | `SAC_ONLY_CHILD_CONDITION` This condition checks if a node is the only one in the node list.
    `static short` | `SAC_ONLY_TYPE_CONDITION` This condition checks if a node is the only one of his type.
    `static short` | `SAC_OR_CONDITION` This condition checks one of two conditions.
    `static short` | `SAC_POSITIONAL_CONDITION` This condition checks a specified position.
    `static short` | `SAC_PSEUDO_CLASS_CONDITION` This condition checks for the link pseudo class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getConditionType()` An integer indicating the type of `Condition`.

- - ### Field Detail

    - #### SAC_AND_CONDITION

          static final short SAC_AND_CONDITION

      This condition checks exactly two conditions. example:

             .part1:lang(fr)

      See Also:
        `CombinatorCondition`, Constant Field Values

    - #### SAC_OR_CONDITION

          static final short SAC_OR_CONDITION

      This condition checks one of two conditions.
      See Also:
        `CombinatorCondition`, Constant Field Values

    - #### SAC_NEGATIVE_CONDITION

          static final short SAC_NEGATIVE_CONDITION

      This condition checks that a condition can't be applied to a node.
      See Also:
        `NegativeCondition`, Constant Field Values

    - #### SAC_POSITIONAL_CONDITION

          static final short SAC_POSITIONAL_CONDITION

      This condition checks a specified position. example:

             :first-child

      See Also:
        `PositionalCondition`, Constant Field Values

    - #### SAC_ATTRIBUTE_CONDITION

          static final short SAC_ATTRIBUTE_CONDITION

      This condition checks an attribute. example:

             [simple]
             [restart="never"]

      See Also:
        `AttributeCondition`, Constant Field Values

    - #### SAC_ID_CONDITION

          static final short SAC_ID_CONDITION

      This condition checks an id attribute. example:

             #myId

      See Also:
        `AttributeCondition`, Constant Field Values

    - #### SAC_LANG_CONDITION

          static final short SAC_LANG_CONDITION

      This condition checks the language of the node. example:

             :lang(fr)

      See Also:
        `LangCondition`, Constant Field Values

    - #### SAC_ONE_OF_ATTRIBUTE_CONDITION

          static final short SAC_ONE_OF_ATTRIBUTE_CONDITION

      This condition checks for a value in a space-separated values in a specified attribute example:

             [values~="10"]

      See Also:
        `AttributeCondition`, Constant Field Values

    - #### SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION

          static final short SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION

      This condition checks if the value is in a hypen-separated list of values in a specified attribute. example:

             [languages|="fr"]

      See Also:
        `AttributeCondition`, Constant Field Values

    - #### SAC_CLASS_CONDITION

          static final short SAC_CLASS_CONDITION

      This condition checks for a specified class. example:

             .example

      See Also:
        `AttributeCondition`, Constant Field Values

    - #### SAC_PSEUDO_CLASS_CONDITION

          static final short SAC_PSEUDO_CLASS_CONDITION

      This condition checks for the link pseudo class. example:

             :link
             :visited
             :hover

      See Also:
        `AttributeCondition`, Constant Field Values

    - #### SAC_ONLY_CHILD_CONDITION

          static final short SAC_ONLY_CHILD_CONDITION

      This condition checks if a node is the only one in the node list.
      See Also:
        Constant Field Values

    - #### SAC_ONLY_TYPE_CONDITION

          static final short SAC_ONLY_TYPE_CONDITION

      This condition checks if a node is the only one of his type.
      See Also:
        Constant Field Values

    - #### SAC_CONTENT_CONDITION

          static final short SAC_CONTENT_CONDITION

      This condition checks the content of a node.
      See Also:
        `ContentCondition`, Constant Field Values

  - ### Method Detail

    - #### getConditionType

          short getConditionType()

      An integer indicating the type of `Condition`.